import os

# Pages d'erreur
REFERENCES_TEMPLATE_DIRS = [
    os.path.dirname(__file__),
]

# ROA
ROA_MODELS = True   # set to False if you'd like to develop/test locally

ROA_FORMAT = 'django'
SERIALIZATION_MODULES = {
    'django' : 'auf_references_client.serializers',
}
ROA_HEADERS = {
    'Content-Type': 'application/x-www-form-urlencoded',
}
ROA_DJANGO_ERRORS = True # useful to ease debugging if you use test server


import os
ip = os.popen("/sbin/ifconfig eth0 | grep inet | "
              "awk '{print $2}' | sed -e s/.*://", "r").read().strip()
ROA_BASE_URL = "http://auf_references.auf/roa/"
if ip.startswith("199.84.140."):
    ROA_BASE_URL = "http://references.auf.org/roa/"


ROA_URL_OVERRIDES_LIST = {
    'auf_references_modeles.region': ROA_BASE_URL + 'region/',
    'auf_references_modeles.pays': ROA_BASE_URL + 'pays/',
    'auf_references_modeles.personne': ROA_BASE_URL + 'personne/',
    'auf_references_modeles.groupe': ROA_BASE_URL + 'groupe/',
    'auf_references_modeles.groupespersonne': ROA_BASE_URL + 'groupespersonne/',
    'auf_references_modeles.utilisateur': ROA_BASE_URL + 'utilisateur/',
    'auf_references_modeles.adresse': ROA_BASE_URL + 'adresse/',
    'auf_references_modeles.etablissement': ROA_BASE_URL + 'etablissement/',
    'auf_references_modeles.etablissementhistory': ROA_BASE_URL + 'etablissement/histo/',
    'auf_references_modeles.responsableetablissement': ROA_BASE_URL + 'etablissement/responsable/',
    'auf_references_modeles.implantation': ROA_BASE_URL + 'implantation/',
    'auf_references_modeles.responsableimplantation': ROA_BASE_URL + 'implantation/responsable/',
    'auf_references_modeles.typeimplantation': ROA_BASE_URL + 'typeimplantation/',
    'auf_references_modeles.employeresponsable': ROA_BASE_URL + 'employeresponsable/',
}

USERS_AS_STAFF = False
